gtkmm: Gtk::Notebook_Helpers::Page Class Reference

gtkmm 2.24.5

Public Member Functions | Protected Member Functions | List of all members
Gtk::Notebook_Helpers::Page Class Reference
Inheritance diagram for Gtk::Notebook_Helpers::Page:
[legend]
Collaboration diagram for Gtk::Notebook_Helpers::Page:
[legend]

## Public Member Functions
int | get_page_num () const
Widget* | get_child () const
Widget* | get_tab_label () const
void | set_tab_label (Widget& tab_label)
void | set_tab_label_text (const Glib::ustring& tab_text)
Glib::ustring | get_tab_label_text () const
Widget* | get_menu_label () const
void | set_menu_label (Widget& menu_label)
void | set_menu_label_text (const Glib::ustring& menu_text)
Glib::ustring | get_menu_label_text () const
void | query_tab_label_packing (bool& expand, bool&fill, PackType& pack_type)
void | set_tab_label_packing (bool expand, bool fill, PackType pack_type)
Public Member Functions inherited from Gtk::Notebook_Helpers::PageIterator
| PageIterator (Gtk::Notebook* parent, GList* node)
| PageIterator ()
bool | equal (const PageIterator& other) const
| operator bool () const
PageIterator& | operator++ ()
const PageIterator | operator++ (int)
PageIterator& | operator-- ()
const PageIterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const

## Protected Member Functions
| Page ()

## Additional Inherited Members
Public Types inherited from Gtk::Notebook_Helpers::PageIterator
typedef std::bidirectional_iterator_tag | iterator_category
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef Page | value_type
typedef const Page* | pointer
typedef const Page& | reference
Protected Attributes inherited from Gtk::Notebook_Helpers::PageIterator
GList* | node_
Gtk::Notebook* | parent_
Related Functions inherited from Gtk::Notebook_Helpers::PageIterator
bool | operator== (const PageIterator& lhs, const PageIterator& rhs)
bool | operator!= (const PageIterator& lhs, const PageIterator& rhs)

## Detailed Description

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc.

instead.

## Constructor & Destructor Documentation

## ◆ Page()

Gtk::Notebook_Helpers::Page::Page | ( |  | ) |
| protected

## Member Function Documentation

## ◆ get_child()

Widget* Gtk::Notebook_Helpers::Page::get_child | ( |  | ) | const

## ◆ get_menu_label()

Widget* Gtk::Notebook_Helpers::Page::get_menu_label | ( |  | ) | const

## ◆ get_menu_label_text()

Glib::ustring Gtk::Notebook_Helpers::Page::get_menu_label_text | ( |  | ) | const

## ◆ get_page_num()

int Gtk::Notebook_Helpers::Page::get_page_num | ( |  | ) | const

## ◆ get_tab_label()

Widget* Gtk::Notebook_Helpers::Page::get_tab_label | ( |  | ) | const

## ◆ get_tab_label_text()

Glib::ustring Gtk::Notebook_Helpers::Page::get_tab_label_text | ( |  | ) | const

## ◆ query_tab_label_packing()

void Gtk::Notebook_Helpers::Page::query_tab_label_packing | ( | bool & | expand,
|  | bool & | fill,
|  | PackType& | pack_type
| ) |  |

Deprecated:
  Query the "tab-expand" and "tab-fill" child properties instead.

## ◆ set_menu_label()

void Gtk::Notebook_Helpers::Page::set_menu_label | ( | Widget& | menu_label | ) |

## ◆ set_menu_label_text()

void Gtk::Notebook_Helpers::Page::set_menu_label_text | ( | const Glib::ustring & | menu_text | ) |

## ◆ set_tab_label()

void Gtk::Notebook_Helpers::Page::set_tab_label | ( | Widget& | tab_label | ) |

## ◆ set_tab_label_packing()

void Gtk::Notebook_Helpers::Page::set_tab_label_packing | ( | bool | expand,
|  | bool | fill,
|  | PackType | pack_type
| ) |  |

Deprecated:
  Modify the "tab-expand" and "tab-fill" child properties instead.

## ◆ set_tab_label_text()

void Gtk::Notebook_Helpers::Page::set_tab_label_text | ( | const Glib::ustring & | tab_text | ) |

The documentation for this class was generated from the following file:

- gtkmm/notebook.h